## net.sf.antcontrib.net.httpclient
Class AbstractHttpStateTypeTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.net.httpclient.AbstractHttpStateTypeTask

Direct Known Subclasses:
  AddCookieTask, AddCredentialsTask, ClearCookiesTask, ClearCredentialsTask, GetCookieTask, PurgeExpiredCookiesTask

    public abstract class AbstractHttpStateTypeTask

extends org.apache.tools.ant.Task

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AbstractHttpStateTypeTask()`

Method Summary
`Credentials` `createCredentials()`
`void` `execute()`
`protected abstract void` `execute(HttpStateType stateType)`
`void` `setStateRefId(java.lang.String stateRefId)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractHttpStateTypeTask

    public AbstractHttpStateTypeTask()

Method Detail

### setStateRefId

    public void setStateRefId(java.lang.String stateRefId)

### createCredentials

    public Credentials createCredentials()

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### execute

    protected abstract void execute(HttpStateType stateType)
                             throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`